︠cc6ca263-2ed3-4690-aeb5-c7d4c1af6fd1i︠
%html
<h2>Hasse diagrams of the factors of any integer $n$</h2>
<h3>To use:</h3>
<ul>
<li>Edit this worksheet.</li>
<li>From the Action menu, choose Evaluate All.</li>
<li>Type any integer value for $n$ and press enter.</li>
</ul>
<p>Interesting numbers to try: 12, 30, 60, 64, 101, 121, 200, etc.</p>

︡b22b7aaf-b3f6-4fd3-8962-ee410cd3470d︡{"html": "<h2>Hasse diagrams of the factors of any integer $n$</h2>\n<h3>To use:</h3>\n<ul>\n<li>Edit this worksheet.</li>\n<li>From the Action menu, choose Evaluate All.</li>\n<li>Type any integer value for $n$ and press enter.</li>\n</ul>\n<p>Interesting numbers to try: 12, 30, 60, 64, 101, 121, 200, etc.</p>"}︡
︠713b6635-2689-4488-a82e-49721a2d9869i︠
%hide
def anyPoset ( elements, relation ):
    relationData = {}
    for i in elements:
        relationData[str(i)] = [ str(j) for j in elements if relation(i,j) ]
    return Poset( DiGraph( relationData ).transitive_reduction() )
def divides ( a, b ):
    return b%a == 0
def divisorsPoset ( n ):
   return anyPoset( [ k for k in range(1,n+1) if n%k == 0 ], divides )
@interact
def showPoset ( n=30 ):
   show( divisorsPoset( n ) )
︡05d718f2-6acc-4da1-97c7-55af639b2482︡︡
